Bug 121542 - writer picture crop scale ist not stable saved in the file
Summary: writer picture crop scale ist not stable saved in the file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.7.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Image-Crop
  Show dependency treegraph
 
Reported: 2018-11-20 10:55 UTC by Pit Zaclade
Modified: 2021-01-16 18:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
writer file with one picture in three cuts (425.61 KB, application/vnd.oasis.opendocument.text)
2018-11-20 11:01 UTC, Pit Zaclade
Details
The bug under LO 6.1.3.2 too (426.16 KB, application/vnd.oasis.opendocument.text)
2018-11-21 11:08 UTC, Pit Zaclade
Details
File opened in different Writer programs (832.43 KB, application/vnd.oasis.opendocument.text)
2019-02-09 20:40 UTC, Erwin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pit Zaclade 2018-11-20 10:55:31 UTC
Description:
If I put one (or more) picture(s) cropped in three parts in a writer file and save it, than the result is not so stable fixed seen 
for other 

Steps to Reproduce:
1.Put a picture in a writer file
2.crop this picture three times with crop scale same % in each direction and sve the file
3. Open this file at an other computer with the same LO version

Actual Results:
the pictures are not in the correct same crop scale!

Expected Results:
The file with pictures seen similis as before


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Pit Zaclade 2018-11-20 11:01:41 UTC
Created attachment 146818 [details]
writer file with one picture in three cuts

At different computers the three cuts of the picture are different in the cut scale.
Comment 2 Julien Nabet 2018-11-20 15:24:34 UTC
5.4 branch is EOL.

Could you give a try with last stable LO version 6.1.3?
Comment 3 Pit Zaclade 2018-11-20 17:33:24 UTC
6.1.3 is not the last final version and I have not two computers for experiments, but only working.
But every member with 6.1.3 can loud my file and save it and than see on another computer...
I have had the dicussion (but in German only)on 
https://www.libreoffice-forum.de/viewtopic.php?f=5&t=19709
thanks
Comment 4 Pit Zaclade 2018-11-21 08:10:42 UTC
I have updated the two computers to 6.1.3.2 (x64) and the critish experimental file saved oncemore.
But the bug is here in 6.1.4.2.(x64) too.
Comment 5 Pit Zaclade 2018-11-21 08:12:02 UTC
(In reply to Pit Zaclade from comment #4)
> I have updated the two computers to 6.1.3.2 (x64) and the critish
> experimental file saved oncemore.
> But the bug is here in 6.1.3.2.(x64) too.
Comment 6 Pit Zaclade 2018-11-21 11:08:46 UTC
Created attachment 146862 [details]
The bug under LO 6.1.3.2 too
Comment 7 Erwin 2018-12-02 16:25:21 UTC
(In reply to Julien Nabet from comment #2)
> 5.4 branch is EOL.
> 
> Could you give a try with last stable LO version 6.1.3?

Hello Julien,

I have installed LO 6.1.3.2 on 2 different computers using Win10.

I must confirm the bug.

Crop scale is changed according to Pit Zaclades' attached table.

The error also occurs with other files, everytime when pictures are croped in LO-Writer. I am teacher, and it is not possible to give my documents to a co-worker, because if pictures are cropped, the scale is not fixed.
Comment 8 Dieter 2018-12-02 20:05:31 UTC
Set to NEW because of comment 7
Comment 9 Julien Nabet 2018-12-02 20:12:06 UTC
Erwin: version must correspond to the earliest one. I reverted back LO version.
Comment 10 Erwin 2019-02-09 20:35:30 UTC
I have the same problems and I made some experiences with my cropped picture files that were created in Libreoffice.

- If these files get opened with Apache Openoffice 4.1.5 it works. Apache does not loose or change crop scale.

- If you open these odt files in MS-Word it also works.

Only libreoffice does not support it's own croped scale files. So maybe the files, that get saved by libreoffice are OK, but the way that libreoffice reads the crop scale (even of its own files) differs.

To make the problem easier to see I uploaded a file with screenshots, because the error does only appear at differnt computers.
Comment 11 Erwin 2019-02-09 20:40:23 UTC
Created attachment 149059 [details]
File opened in different Writer programs

Original File from the LO-Forum topic

reopened in Apache openoffice at different computer
reopened in Libreoffice at different computer
reopened in Microsoft Word at different computer